Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Base\Container\ApiLoader\Storage\ExternalStorageRegistryFactory Class Reference
Inheritance diagram for eZ\Publish\Core\Base\Container\ApiLoader\Storage\ExternalStorageRegistryFactory:

## Public Member Functions
| registerExternalStorageHandler ($serviceId, $fieldTypeAlias)
| Registers an external storage handler for a field type, identified by $fieldTypeAlias. More...
| getExternalStorageHandlers ()
| Returns registered external storage handlers for field types (as closures to be lazy loaded in the public API). More...
| buildExternalStorageRegistry ($externalStorageRegistryClass)
| Returns external storage registry. More...

## Protected Attributes
| $externalStorages = []

## Detailed Description

Definition at line 12 of file ExternalStorageRegistryFactory.php.

## Member Function Documentation

## ◆ buildExternalStorageRegistry()

eZ\Publish\Core\Base\Container\ApiLoader\Storage\ExternalStorageRegistryFactory::buildExternalStorageRegistry | ( |  | $externalStorageRegistryClass | ) |

Returns external storage registry.

Parameters

  string | $externalStorageRegistryClass |

Returns
  \eZ\Publish\Core\Persistence\Legacy\Content\StorageRegistry

Definition at line 55 of file ExternalStorageRegistryFactory.php.

References eZ\Publish\Core\Base\Container\ApiLoader\Storage\ExternalStorageRegistryFactory\getExternalStorageHandlers().

## ◆ getExternalStorageHandlers()

eZ\Publish\Core\Base\Container\ApiLoader\Storage\ExternalStorageRegistryFactory::getExternalStorageHandlers | ( |  | ) |

Returns registered external storage handlers for field types (as closures to be lazy loaded in the public API).

Returns
  \Closure[]

Definition at line 43 of file ExternalStorageRegistryFactory.php.

References eZ\Publish\Core\Base\Container\ApiLoader\Storage\ExternalStorageRegistryFactory\$externalStorages.

Referenced by eZ\Publish\Core\Base\Container\ApiLoader\Storage\ExternalStorageRegistryFactory\buildExternalStorageRegistry().

## ◆ registerExternalStorageHandler()

eZ\Publish\Core\Base\Container\ApiLoader\Storage\ExternalStorageRegistryFactory::registerExternalStorageHandler | ( |  | $serviceId,
|  |  | $fieldTypeAlias
| ) |  |

Registers an external storage handler for a field type, identified by $fieldTypeAlias.

They are being registered as closures so that they will be lazy loaded.

Parameters

  string | $serviceId | The external storage handler service Id
  string | $fieldTypeAlias | The field type alias (e.g. "ezstring")

Definition at line 30 of file ExternalStorageRegistryFactory.php.

## Member Data Documentation

## ◆ $externalStorages

eZ\Publish\Core\Base\Container\ApiLoader\Storage\ExternalStorageRegistryFactory::$externalStorages = []
| protected

Definition at line 21 of file ExternalStorageRegistryFactory.php.

Referenced by eZ\Publish\Core\Base\Container\ApiLoader\Storage\ExternalStorageRegistryFactory\getExternalStorageHandlers().

The documentation for this class was generated from the following file:

- ExternalStorageRegistryFactory.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.